POSTgetBlockCommitment

Returns commitment for particular block.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsinteger (uint64)[]required

It contains following items:

  1. Block number (required)
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

commitmentinteger[]

Array of u64 integers logging the amount of cluster stake in lamports that has voted on the block at each depth from 0 to MAX_LOCKOUT_HISTORY.

totalStakeinteger

Total active stake, in lamports, of the current epoch.

X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getBlockCommitment",
  "params": [5]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "commitment": [
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      10,
      32
    ],
    "totalStake": 42
  },
  "id": 1
}